#include "Default_id.h"

#if defined WIN32
#pragma warning(disable : 4355)
#endif

namespace MM
{

Default_id::Default_id() : impl_( reinterpret_cast<long>(this) ) {}
Default_id::Default_id( int id ) : impl_( id ) { }   //fix remove &

ID * Default_id::clone() const
{
    //return new Default_id( impl_ );   //fix remove &
    return new Default_id();
}

bool Default_id::is_equal(const ID & id) const
{
    //fix
    if( const Default_id * tmp = dynamic_cast< const Default_id * > ( &id ) )
        return impl_ == tmp->impl_;
    
    else return false;
}

}//MM
